### Method

# Gck Object cache_lookup_finish

#### Declaration [src]

    GckAttributes*
    gck_object_cache_lookup_finish (
      GckObject* object,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an operation to lookup attributes in the cache or retrieve them from the object if necessary.

#### Parameters

`result` | `GAsyncResult`
| The asynchrounous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckAttributes`
| The attributes retrieved or `NULL` on failure.
| The caller of the method takes ownership of the data, and is responsible for freeing it.